---
repos:
- repo: https://github.com/aquasecurity/tfsec
  rev: v1.28.1
  hooks:
    - id: tfsec
- repo: https://github.com/antonbabenko/pre-commit-terraform
  rev: v1.77.1
  hooks:
    - id: terraform_fmt
    - id: terraform_validate
      args:
        - --hook-config=--retry-once-with-cleanup=true
    - id: terraform_docs
- repo: https://github.com/pre-commit/pre-commit-hooks
  rev: v4.4.0
  hooks:
  - id: check-executables-have-shebangs
  - id: check-merge-conflict
  - id: check-yaml
  - id: detect-aws-credentials
    args:
      - --allow-missing-credentials
  - id: detect-private-key
  - id: end-of-file-fixer
  - id: trailing-whitespace